<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="oko.tm.oko_pro_classic">

    <!--
    <meta-data
        android:name="com.google.android.geo.API_KEY"
        android:value="AIzaSyDOmDQm1vt7EJIF_4ukZ6nHbOZuv0sAolE" />


    <meta-data
        android:name="com.google.android.gms.version"
        android:value="@integer/google_play_services_version" />
    -->

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme">

        <!-- android:screenOrientation="portrait"  android:launchMode="singleTop" -->
        <activity android:name=".StartActivity"
            android:launchMode="singleTop"
            android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".MainActivity"
            android:launchMode="singleTop"
            android:parentActivityName=".StartActivity">
            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".StartActivity" />
        </activity>



        <activity
            android:name=".AboutActivity"
            android:label="@string/about_title"
            android:theme="@android:style/Theme.Dialog" />

        <!-- android:windowSoftInputMode="adjustPan" -->
        <activity
            android:name=".SettingsApp"
            android:label="@string/settings_title"
            android:windowSoftInputMode="adjustPan">

        </activity>

        <activity
            android:name=".PasswordActivity"
            android:label="@string/enter_password"
            tools:targetApi="11"
            android:theme="@android:style/Theme.Holo.Dialog" >
        </activity>

        <!--  android:windowSoftInputMode="adjustPan" -->
        <activity
            android:name=".SettingsObj"
            android:label="@string/settings_title"
            android:parentActivityName=".StartActivity">
            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".StartActivity" />
        </activity>

        <activity
            android:name=".EventLog"
            android:label="@string/event_log"

            android:parentActivityName=".MainActivity">
            <!-- The meta-data tag is required if you support API level 15 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".MainActivity" />
        </activity>


        <receiver android:name=".SmsReceiver">
            <intent-filter>
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
        </receiver>

        <!-- Declaring broadcast receiver for BOOT_COMPLETED event. -->
        <receiver
            android:name=".OnBootReceiver"
            android:enabled="true"
            android:exported="false">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <service android:name=".TCP_client" />





    </application>

</manifest>